SystemOrganization addCategory: #LearnSound!

Object subclass: #LearnMIDI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

LearnMIDI subclass: #LearnFMSound
	instanceVariableNames: 'fmSound'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

!LearnFMSound methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 22:51'!
initialize
super initialize.
fmSound := FMSound pitch: 700 dur: 0.5 loudness: 0.8.
fmSound play.! !

LearnMIDI subclass: #LearnMixedSound
	instanceVariableNames: 'mixedSound'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

!LearnMixedSound methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 22:49'!
initialize
	mixedSound := MixedSound new.
	mixedSound add: (FMSound pitch: 500 dur: 1 loudness: 0.5).
	mixedSound add: (FMSound pitch: 1000 dur: 1 loudness: 1).
	mixedSound play.! !

LearnMIDI subclass: #LearnPluckedSound
	instanceVariableNames: 'pluck'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

!LearnPluckedSound methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 23:08'!
initialize
	super initialize.
	pluck := PluckedSound default play.! !

LearnMIDI subclass: #LearnRestDoNotReuseNoteSound
	instanceVariableNames: 'note rest seq'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

!LearnRestDoNotReuseNoteSound commentStamp: 'HwaJong 12/15/2012 23:00' prior: 0!
This will sound once, because one note is added to seq twice.!

!LearnRestDoNotReuseNoteSound methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 23:00'!
initialize
super initialize.
note := FMSound pitch: 800 dur: 0.4 loudness: 0.4.
rest := RestSound dur: 0.3.
seq := SequentialSound new.
seq add: note.
seq add: rest.
seq add: note.
seq play.! !

LearnMIDI subclass: #LearnRestSound
	instanceVariableNames: 'rest seq'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

!LearnRestSound methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 23:01'!
initialize
super initialize.
rest := RestSound dur: 0.3.
seq := SequentialSound new.
seq add: (FMSound pitch: 800 dur: 0.4 loudness: 0.4).
seq add: rest.
seq add: (FMSound pitch: 800 dur: 0.4 loudness: 0.4).
seq play.! !

LearnMIDI subclass: #LearnSequentialSound
	instanceVariableNames: 'sequentialSound'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

!LearnSequentialSound methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 22:49'!
initialize
	sequentialSound := SequentialSound new.
	sequentialSound add: (FMSound pitch: 500 dur: 0.5 loudness: 1).
	sequentialSound add: (FMSound pitch: 1000 dur: 0.5 loudness: 1).
	sequentialSound play.! !

LearnMIDI subclass: #LongerSoundExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

LongerSoundExample subclass: #BachFugueMIDI
	instanceVariableNames: 'mixedSound'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

!BachFugueMIDI methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 22:45'!
initialize
	super initialize.
	mixedSound := FMSound bachFugue.
	mixedSound play.! !

LongerSoundExample subclass: #LearnScoreMIDI
	instanceVariableNames: 'score scorePlayer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

!LearnScoreMIDI classSide methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 22:18'!
pickin0

	^ #[77 84 104 100 0 0 0 6 0 1 0 7 0 240 77 84 114 107 0 0 0 37 0 255 88 4 1 2 24 8 0 255 81 3 6 102 252 0 255 1 5 83 101 113 45 49 131 96 255 88 4 4 2 24 8 0 255 47 0 77 84 114 107 0 0 0 178 0 255 1 5 66 97 110 106 111 0 192 105 129 7 144 55 79 49 128 55 64 70 144 57 76 81 128 57 64 31 144 59 84 61 128 59 64 63 144 60 75 1 144 63 68 47 128 60 64 13 144 64 63 3 128 63 64 46 128 64 64 8 144 64 75 2 144 67 77 40 128 64 64 11 128 67 64 10 144 63 81 17 128 63 64 7 144 62 56 32 144 55 67 48 128 55 64 24 128 62 64 1 144 60 56 48 144 57 59 6 128 60 64 54 128 57 64 70 144 60 72 96 128 60 64 16 144 50 72 1 144 55 65 2 144 59 60 35 128 59 64 7 128 55 64 4 128 50 64 88 144 52 73 10 144 55 73 18 144 60 65 138 114 128 52 64 14 128 55 64 11 128 60 64 0 255 47 0 77 84 114 107 0 0 0 64 0 255 1 4 66 97 115 115 0 193 32 131 61 225 0 55 44 145 36 101 129 67 129 36 64 38 145 31 103 129 91 129 31 64 14 145 36 93 129 6 145 31 116 54 129 31 64 35 129 36 64 43 145 36 109 138 63 129 36 64 0 255 47 0 77 84 114 107 0 0 0 117 0 255 1 6 71 117 105 116 97 114 0 194 25 132 105 146 55 83 1 146 60 79 3 146 64 69 27 130 60 64 1 130 64 64 4 130 55 64 129 73 146 55 85 3 146 60 77 0 146 64 72 24 130 60 64 1 130 64 64 7 130 55 64 129 65 146 62 73 9 146 67 84 16 146 71 78 24 130 62 64 8 130 67 64 19 130 71 64 63 146 64 79 6 146 67 86 20 146 72 73 138 126 130 64 64 8 130 67 64 7 130 72 64 0 255 47 0 77 84 114 107 0 0 0 180 0 255 1 7 66 97 110 106 111 32 50 0 204 105 129 7 156 55 79 49 140 55 64 70 156 57 76 81 140 57 64 31 156 59 84 61 140 59 64 63 156 60 75 1 156 63 68 47 140 60 64 13 156 64 63 3 140 63 64 46 140 64 64 8 156 64 75 2 156 67 77 40 140 64 64 11 140 67 64 10 156 63 81 17 140 63 64 7 156 62 56 32 156 55 67 48 140 55 64 24 140 62 64 1 156 60 56 48 156 57 59 6 140 60 64 54 140 57 64 70 156 60 72 96 140 60 64 16 156 50 72 1 156 55 65 2 156 59 60 35 140 59 64 7 140 55 64 4 140 50 64 88 156 52 73 10 156 55 73 18 156 60 65 138 114 140 52 64 14 140 55 64 11 140 60 64 0 255 47 0 77 84 114 107 0 0 0 66 0 255 1 6 66 97 115 115 32 50 0 205 32 131 61 237 0 55 44 157 36 101 129 67 141 36 64 38 157 31 103 129 91 141 31 64 14 157 36 93 129 6 157 31 116 54 141 31 64 35 141 36 64 43 157 36 109 138 63 141 36 64 0 255 47 0 77 84 114 107 0 0 0 119 0 255 1 8 71 117 105 116 97 114 32 50 0 206 25 132 105 158 55 83 1 158 60 79 3 158 64 69 27 142 60 64 1 142 64 64 4 142 55 64 129 73 158 55 85 3 158 60 77 0 158 64 72 24 142 60 64 1 142 64 64 7 142 55 64 129 47 158 71 78 4 158 67 84 14 158 62 73 33 142 71 64 1 142 67 64 15 142 62 64 81 158 72 73 9 158 64 79 6 158 67 86 138 126 142 72 64 20 142 64 64 8 142 67 64 0 255 47 0]! !

!LearnScoreMIDI classSide methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 22:19'!
pickin0Stream

	^ ReadStream on: self pickin0! !

!LearnScoreMIDI methodsFor: 'accessing' stamp: 'HwaJong 12/15/2012 22:46'!
initialize
	super initialize.
	score := (MIDIFileReader new readMIDIFrom: self class pickin0Stream) asScore.
	scorePlayer := ScorePlayer onScore: score.
	scorePlayer reset.
	scorePlayer resumePlaying! !

LongerSoundExample subclass: #PhoneCallMIDI
	instanceVariableNames: 'mixedSound'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

!PhoneCallMIDI methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 22:46'!
initialize
	super initialize.
	mixedSound := FMSound dial: '(61) 1-300-321-456*'.! !

LongerSoundExample subclass: #StereoBachFugueMIDI
	instanceVariableNames: 'mixedSound'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnSound'!

!StereoBachFugueMIDI methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/15/2012 22:45'!
initialize
	super initialize.
	mixedSound := FMSound stereoBachFugue.
	mixedSound play.! !
